<template lang="">
    <navbar/>
  <strong
    ><h1 class="mt-8 text-2xl md:text-2xl lg:text-3xl" align="center">
      Seleccionar Curso
    </h1>
  </strong>
  <div align="right">
    <div
      class="tooltip tooltip-left tooltip-primary mt-16 mr-5 md:mr-80 w-10 md:w-14"
      data-tip="Haga doble click en un campo de la tabla para seleccionar el curso a administrar"
    >
      <img src="\src\assets\ADM_CURSOS\iconoPregunta.png" />
    </div>
  </div>
  <div></div>
  <div align="center" class = "body">
    <div class="overflow-x-scroll scrollbar w-11/12 md:w-1/2">
      <table class="table table-compact border-collapse">
        <thead>
          <tr>
            <th>Id Curso</th>
            <th>Nombre</th>
          </tr>
        </thead>
        <tbody v-for="curso in cursos" :key="curso">
          <tr
            @dblclick="recargar(curso.cursoId)"
            style="cursor: pointer"
            class="hover"
          >
            <td>{{ curso.cursoId }}</td>
            <td>{{ curso.nombre }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <Footer/>
</template>

<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from "../../components/Footer.vue";
export default {
  components: {navbar,Footer},
  data() {
    return {
      cursos: [],
    };
  },
  mounted() {
    let vue = this;
    axios
      .get("adminitracionCursos/buscarCursos",{
        headers: {
                    Authorization: localStorage.getItem('auth')
                },
      })
      .then(function (response) {
        vue.cursos = response.data;
        console.log(vue.cursos);
      });
  },
  methods: {
    recargar(id) {
      window.location.href = "/homeAdministracion/" + id;
    },
  },
};
</script>
<style>

.body{
  height: 39rem !important;
  margin-top: 1rem !important;
}

</style>